
#实现在记事本上和MKScript的【信息框】同步输出 a b c .....  x y z      A B C ... X Y Z
#使用 key_xxx 的时候，要注意当前键盘的输入法状态

#预处理函数: 可配置 MKScript 脚本加载后自动运行
#mkscript_config_auto_start()


#预处理函数: 初始化MKScript窗口大小
mkscript_window_initial_size(500, 300)

#查找【记事本】窗口
int hWindow = window_find("", "无标题 - 记事本")
 
if hWindow > 0
 
    #找到【记事本】窗口
  
    #如果窗口当前最小化了
    if window_is_iconic(hWindow) == mkTrue
    
        #恢复窗口显示
        window_show(hWindow, mkSW_RESTORE)
    
    endif
 
    #激活窗口
    window_set_active(hWindow)
    
    #暂停 0.5 秒
    sleep(500)
    
else
 
    #没找到【记事本】窗口
 
    #弹出信息提示对话框
    alert("在点【确定】按钮前，先新建一个空白的【文本文档】并打开。\r\n\r\n在点【确定】按钮后的 3 秒内，将焦点移到空白的【记事本】中。")
    
    #暂停 3 秒
    sleep(3000)
 
endif


#定义变量
int m = 1
char c

for int n = 0 to 1

    if m == 1    
        c = 'a'    
    else    
        c = 'A'    
    endif    
    
    loop -1        
    
        #键盘输入一个字符    
        key_char(c, 1)        
        key_char(' ', 1) 
        
        #在 MKScript【信息框】输出字符       
        print(c + " ")
        
        #暂停 100 毫秒
        sleep(100)
        
        #如果 c 等于 'z' 跳出循环
        if c == 'z'
            break
        endif
        
        #如果 c 等于 'Z' 跳出循环
        if c == 'Z'
            break
        endif
        
        #字符变量递增 1
        c = c + 1
    
    endloop
    
    #按2次回车键
    key_enter(2)
    
    println("\r\n")
    
    #变量 m 递增
    m = m + 1

next

#按2次回车键
key_enter(2)
input("完成\r\n")


println("\r\n完成")